package com.qmth.themis.business.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Set;

/**
 * @Description: 考试属性统计
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/8/19
 */
public class ExamPropCountDto implements Serializable {

    private Long examId;//考试批次id
    private Integer allCount;//应考人数
    private Integer loginCount;//已登录
    private Integer prepareCount;//已待考
    private Integer examCount;//考试中
    private Integer clientCommunicationStatusCount;//客户端通讯故障
    private Integer monitorStatusSourceCount;//监控设备通讯故障
    private Integer alreadyComplete;//已完成
    private Integer notComplete;//未完成
    private Set<String> roomCodes;//虚拟考场代码
    private BigDecimal completionRate;//完成率

    public ExamPropCountDto() {

    }

    public ExamPropCountDto(Long examId, Integer allCount, Integer loginCount, Integer prepareCount, Integer examCount, Integer clientCommunicationStatusCount, Integer monitorStatusSourceCount, Integer alreadyComplete, Integer notComplete, Set<String> roomCodes, BigDecimal completionRate) {
        this.examId = examId;
        this.allCount = allCount;
        this.loginCount = loginCount;
        this.prepareCount = prepareCount;
        this.examCount = examCount;
        this.clientCommunicationStatusCount = clientCommunicationStatusCount;
        this.monitorStatusSourceCount = monitorStatusSourceCount;
        this.alreadyComplete = alreadyComplete;
        this.notComplete = notComplete;
        this.roomCodes = roomCodes;
        this.completionRate = completionRate;
    }

    public ExamPropCountDto(Long examId, Integer allCount, Integer loginCount, Integer prepareCount, Integer examCount, Integer clientCommunicationStatusCount, Integer monitorStatusSourceCount, Integer alreadyComplete, Integer notComplete, BigDecimal completionRate) {
        this.examId = examId;
        this.allCount = allCount;
        this.loginCount = loginCount;
        this.prepareCount = prepareCount;
        this.examCount = examCount;
        this.clientCommunicationStatusCount = clientCommunicationStatusCount;
        this.monitorStatusSourceCount = monitorStatusSourceCount;
        this.alreadyComplete = alreadyComplete;
        this.notComplete = notComplete;
        this.completionRate = completionRate;
    }

    public BigDecimal getCompletionRate() {
        return completionRate;
    }

    public void setCompletionRate(BigDecimal completionRate) {
        this.completionRate = completionRate;
    }

    public Set<String> getRoomCodes() {
        return roomCodes;
    }

    public void setRoomCodes(Set<String> roomCodes) {
        this.roomCodes = roomCodes;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Integer getAllCount() {
        return allCount;
    }

    public void setAllCount(Integer allCount) {
        this.allCount = allCount;
    }

    public Integer getLoginCount() {
        return loginCount;
    }

    public void setLoginCount(Integer loginCount) {
        this.loginCount = loginCount;
    }

    public Integer getPrepareCount() {
        return prepareCount;
    }

    public void setPrepareCount(Integer prepareCount) {
        this.prepareCount = prepareCount;
    }

    public Integer getExamCount() {
        return examCount;
    }

    public void setExamCount(Integer examCount) {
        this.examCount = examCount;
    }

    public Integer getClientCommunicationStatusCount() {
        return clientCommunicationStatusCount;
    }

    public void setClientCommunicationStatusCount(Integer clientCommunicationStatusCount) {
        this.clientCommunicationStatusCount = clientCommunicationStatusCount;
    }

    public Integer getMonitorStatusSourceCount() {
        return monitorStatusSourceCount;
    }

    public void setMonitorStatusSourceCount(Integer monitorStatusSourceCount) {
        this.monitorStatusSourceCount = monitorStatusSourceCount;
    }

    public Integer getAlreadyComplete() {
        return alreadyComplete;
    }

    public void setAlreadyComplete(Integer alreadyComplete) {
        this.alreadyComplete = alreadyComplete;
    }

    public Integer getNotComplete() {
        return notComplete;
    }

    public void setNotComplete(Integer notComplete) {
        this.notComplete = notComplete;
    }
}
